Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

CygWin installed on workers needs updating (it is broken now) #2898

Closed
claudioandre-br opened this issue Mar 25, 2019 · 4 comments

Comments

Projects
None yet
3 participants
@claudioandre-br
Copy link

commented Mar 25, 2019

As the "worker" is now, CygWin is not working properly. Any binary crashes:

  • The error message seen inside the worker is: Command exited with code -1073741511

I was able to workaroud the problem doing this inside my YAML

  # Workaround (update CygWin)
  - appveyor DownloadFile "http://www.cygwin.com/setup-%Arch%.exe" -FileName C:\%Location%\setup-%Arch%.exe
  - ps: |
      cmd /c "C:\$env:Location\setup-$env:Arch.exe -q --no-desktop --no-shortcuts --no-startmenu --upgrade-also"

The latest successful build was on March 6.
https://ci.appveyor.com/project/claudioandre-br/johntheripper/builds/22884186/job/jt33mhofqlp6ptgc

I noticed the error on March 21
https://ci.appveyor.com/project/claudioandre-br/johntheripper/builds/23247062/job/s5pwwwxbxoolf4qq

@IlyaFinkelshteyn

This comment has been minimized.

Copy link
Member

commented Mar 25, 2019

There were no platform updates during this period: https://www.appveyor.com/updates/

Also I see that build scenario has been changed since last successful build. At least one difference that successful build installs openssl-devel while failed installs libssl-devel.

Please open March 6 successful build and press RE-BUILD COMMIT to eventually rule out platform changes.

@claudioandre-br

This comment has been minimized.

Copy link
Author

commented Mar 25, 2019

The update is in CygWin itself.

As seen in https://cygwin.com/cgi-bin2/package-grep.cgi?grep=libssl-devel&arch=x86_64, openssl-devel no longer exist as a valid package (it resolves to libssl1.1).

  • openssl-devel-1.1.1b-1 - openssl-devel: Obsoleted by libssl-devel

The build you want was done here (in March 21): https://ci.appveyor.com/project/claudioandre-br/johntheripper/builds/23246473/job/g0cuga88ag7fvdny

@IlyaFinkelshteyn

This comment has been minimized.

Copy link
Member

commented Mar 25, 2019

Ah I see, sorry for misunderstanding.

@IlyaFinkelshteyn

This comment has been minimized.

Copy link
Member

commented Apr 18, 2019

Updated

claudioandre-br added a commit to claudioandre-br/packages that referenced this issue Apr 18, 2019

JtR: Remove a Windows workaround
The AppVeyor worker was updated, it is no longer needed.

See appveyor/ci#2898.

xdelaruelle added a commit to cea-hpc/modules that referenced this issue Apr 25, 2019

Revert "appveyor: stop testing R in Cygwin platform"
This reverts commit 48624f9.

AppVeyor Cygwin environment has been updated, which fixed the R issue.

See appveyor/ci#2898.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.